
var include_num = 0;
var bold = 0;
var s = new Array();
s[0] = "Úvod^vod.html^ParseTreeDist 1.0Adrián Kočišapríl, 2005Tento program je určený na porovnávanie súborov s de...^Úvod";
s[1] = "Príklady použitia^PrkladyPouitia.html^V tejto časti sú popísané možné použitia tohto programu.Využitie na porovnávanie súborovSpustí ...^Príklady použitia";
s[2] = "Systémové Požiadavky^SystmovPoiadavky.html^Testované na PIII 500 Mhz, Windows XP a 256MB RAM, myslím, že by program mal bežať aj pod staršími ...^Systémové Požiadavky";
s[3] = "Formát vstupnej gramatiky^FormtVstupnejGramatiky.html^Vstupná gramatika je textový súbor (obvykle s príponou .grm, nemusí byť), ktorého syntax je popísan...^Formát vstupnej gramatiky";
s[4] = "Hlavné Menu^HlavnMenu.html^V tejto sekcii je popísaná funkcia všetkých položiek v hlavnom menu.FileStop Processing       ...^Hlavné Menu";
s[5] = "Main^Main.html^Hlavné okno, MDI kontajner pre zvyšné okná. Na nasledujúcom obrázku je zobrazený program za behu....^Main";
s[6] = "Folder Difference^FolderDifference.html^Okno zobrazujúce rozdiely medzi priečinkami. Viď obrázok.Pri dvojkliku myšou vo vnútri panelu ...^Folder Difference";
s[7] = "File Difference^FileDifference.html^Okno zobrazujúce rozdiely medzi súbormi. Viď obrázok.Pri dvojkliku myšou zobrazí do priestoru,...^File Difference";
s[8] = "Grammar Edit^GrammarEdit.html^Okno obsahujúce textový editor, pomocou ktorého môžme napísať/zmeniť gramatiku. Viď obrázok.Po...^Grammar Edit";
s[9] = "File 1 Edit^FileEdit1.html^Okno obsahujúce textový editor, pomocou ktorého môžme napísať/zmeniť vstupný súbor. Viď obrázok....^File Edit 1";
s[10] = "File 2 Edit^FileEdit2.html^...^File Edit 2";
s[11] = "Token Table^TokenTable.html^Okno zobrazujúce všetky typy tokenov a neterminálov, ktoré sú popísané vo vstupnej gramatike. Viď o...^Token Table";
s[12] = "Rule Table^RuleTable.html^Okno zobrazujúce všetky pravidlá definované vo vstupnej gramatike. Viď obrázok.Pri dvojkliku m...^Rule Table";
s[13] = "DFA Table^DFATable.html^Okno zobrazujúce DFA lexikálny analyzátor, všetky jeho stavy. Viď obrázok.Pri dvojkliku myšou ...^DFA Table";
s[14] = "LALR Table^LALRTable.html^Okno zobrazujúce LALR parser, všetky jeho stavy. Viď obrázok.Pri dvojkliku myšou vo vnútri hor...^LALR Table";
s[15] = "Log^Log.html^Okno zobrazujúce rôzne informácie v textovej forme, napr. časy behu jednotlivých algoritmov, chyby ...^Log";
s[16] = "Options^Options.html^Okno v ktorom sa dajú meniť rôzne nastavenia programu. Všetky tieto nastavenia sú uložené v .ini sú...^Options";

var cookies = document.cookie;
var p = cookies.indexOf("d=");
if (p != -1) {
 var st = p + 2;
 var en = cookies.indexOf(";", st);
 if (en == -1) {
   en = cookies.length;
 }
 var d = cookies.substring(st, en);
d = unescape(d);
}
var od = d;
var m = 0;
if (d.charAt(0) == '"' && d.charAt(d.length - 1) == '"') {
 m = 1;
}
var r = new Array();
var co = 0;
if (m == 0) {
 var woin = new Array();
 var w = d.split(" ");
 for (var a = 0; a < w.length; a++) {
   woin[a] = 0;
   if (w[a].charAt(0) == '-') {
     woin[a] = 1;
   }
 }
for (var a = 0; a < w.length; a++) {
 w[a] = w[a].replace(/^\-|^\+/gi, "");
}
a = 0;
for (var c = 0; c < s.length; c++) {
 pa = 0;
 nh = 0;
 for (var i = 0; i < woin.length; i++) {
   if (woin[i] == 0) {
     nh++;
     var pat = new RegExp(w[i], "i");
     var rn = s[c].search(pat);
     if (rn >= 0) {
       pa++;
     } else {
       pa = 0;
     }
   }
     if (woin[i] == 1) {
       var pat = new RegExp(w[i], "i");
       var rn = s[c].search(pat);
       if (rn >= 0) {
         pa = 0;
       }
     }
   }
   if (pa == nh) {
     r[a] = s[c];
     a++;
   }
 }
 co = a;
}
if (m == 1) {
 d = d.replace(/"/gi, "");
 var a = 0;
 var pat = new RegExp(d, "i");
 for (var c = 0; c < s.length; c++) {
   var rn = s[c].search(pat);
   if (rn >= 0) {
     r[a] = s[c];
     a++;
   }
 }co = a;
}
function return_query() {
 document.jse_Form.d.value = od;
}
function num_jse() {
 document.write(co);
}
function out_jse() {
 if (co == 0) {
   document.write('Your search did not match any documents.<br>Please ensure that all keywords are spelled correctly.<br>Or try different or more general keywords. Thank you.');
   return;
   }
   for (var a = 0; a < r.length; a++) {
     var os = r[a].split("^");
     if (bold == 1 && m == 1) {
       var br = "<b>" + d + "</b>";
       os[2] = os[2].replace(pat, br);
     }
     if (include_num == 1) {
       document.write(a + 1, '. <a href="', os[1], '">', os[0], '</a><br>', os[2], '<p>');
     } else {document.write('<a href="', os[1], '">', os[0], '</a><br>', os[2], '<p>');
     }
   }
}